Package org.spongepowered.asm.mixin.injection.callback

## Class CallbackInfo

- java.lang.Object
- - org.spongepowered.asm.mixin.injection.callback.CallbackInfo

Direct Known Subclasses:
  `CallbackInfoReturnable`

    public class CallbackInfo
    extends java.lang.Object

### Constructor Summary

Constructors
`CallbackInfo​(java.lang.String name, boolean cancellable)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `cancel()`
`java.lang.String` `getId()`
`boolean` `isCancellable()`
`boolean` `isCancelled()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CallbackInfo

    public CallbackInfo​(@NotNull
                        java.lang.String name,
                        boolean cancellable)

### Method Detail

#### getId

    @NotNull
    public java.lang.String getId()

#### cancel

    public void cancel()
                throws CancellationException

Throws:
  `CancellationException`

#### isCancellable

    public final boolean isCancellable()

#### isCancelled

    public final boolean isCancelled()